JPEGPIXI(1)

NAME
jpegpixi - interpolation des pixels dans les fichiers image JFIF (JPEG)

SYNOPSIS
jpegpixi [OPTION]... SOURCE DEST [[D:]X,Y[,S]|[,SX,SY]]...

DESCRIPTION
Jpegpixi interpole les pixels ou les blocs de pixels des fichiers images JFIF (appelés communément "images JPEG"). Il est utile de corriger les images issues d'une caméra numérique avec des défauts. Seuls les blocs DCT qui contiennent les pixels devant être interpolés sont décodés et réencodés, et le réencodage est réalisé avec exactement les mêmes paramètres que ceux avec lesquels l'image a été initialement encodée. Ainsi, la qualité d'image est préservée autant que possible.

SOURCE et DEST sont les noms des fichiers source et destination, respectivement. Dans les deux cas, - peut être utilisé ; il correspond à l'entrée standard ou la sortie standard.

Le fichier destination est suivi par les spécifications des pixels ou blocs de pixels. Cette suite de spécifications démarre avec un argument optionnel de direction (D), qui peut être 2 pour une interpolation bi-dimensionnelle (le défaut), V ou v pour une interpolation uni-dimensionnelle verticale (exemple : pour supprimer les bandes horizontales), ou H ou h pour une interpolation uni-dimensionnelle horizontale. X,Y sont les coordonnées du pixel ou du coin haut-gauche du bloc de pixels. S est la taille du bloc de pixel (1 par défaut). Alternativement, des tailles séparées peuvent être spécifiées pour la largeur (SX) et la hauteur (SY).

Tous les nombres (X, Y, S, SX, SY) peuvent être exprimés soit comme des coordonnées/tailles absolues, soit comme des pourcentages de la taille de l'image. Si un nombre est suivi par le caractère pourcent (%), il est interprété comme un pourcentage, sinon comme une valeur absolue.

OPTIONS

-f FICHIER, --blocks-file=FICHIER
    Lit les spécifications des blocs de pixels depuis le fichier FICHIER en plus de la ligne de commande. Le fichier doit contenir une spécification ([D:]X,Y[,S]|[,SX,SY]) par ligne. Les lignes vides sont ignorées. Le fichier peut aussi contenir des commentaires, qui commencent par un dièse (#) et vont jusqu'à la fin de la ligne

-m METHODE, --method=METHODE
    Utiliser la méthode d'interpolation METHODE (défaut : linear). Voir la section METHODES D'INTERPOLATION ci-dessous.

-v, --verbose
    Affiche les coordonnées et la taille de chaque block de pixels qui est interpolé.

-i, --info
    Affiche l'information à propos de l'image, comme la taille, l'espace de couleurs dans lequel elle est encodée, et le taux d'échantillonnage pour les différents composants.

-s, --strip
    Ne pas copier les commentaires et les marqueurs supplémentaires de la source vers la destination. Ceci supprime les images de prévisualisation, les données EXIF et les informations similaires.

--help
    Affiche un texte court d'aide et sort immédiatement.

--version
    Affiche l'information de version et sort immédiatement.

INTERPOLATION METHODS

0, av, average
    Les pixels adjacents au bloc de pixels sont moyennés. La couleur résultante est assignée aux pixels du bloc. Pour une interpolation uni-dimensionnelle, ceci est fait séparément par bande horizontale ou verticale de 1 pixel de large.

1, li, linear
    Les pixels qui sont à une distance de 1 du bloc de pixels sont utilisés pour calculer une surface bilinéraire (2D), ou un groupe de courbes linéraires (1D), qui sert ensuite à assigner les couleurs aux pixels dans le bloc.

2, qu, quadratic
    Les pixels qui sont à une distance de 2 ou moins du bloc de pixels sont utilisés pour calculer une surface biquadratique (2D), ou un groupe de courbes quadratiques (1D), qui sert ensuite à assigner les couleurs aux pixels dans le bloc.

3, cu, cubic
    Les pixels qui sont à une distance de 3 ou moins du bloc de pixels sont utilisés pour calculer une surface bicubique (2D), ou un groupe de courbes cubiques (1D), qui sert ensuite à assigner les couleurs aux pixels dans le bloc.

BUGS
Merci de faire parvenir les rapports de bug en anglais à : <martin-jpegpixi@zero-based.org>.

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005 Martin Dickopp

Traduction française par : Copyright © 2004 Stephan Peccini

Jpegpixi est libre; voir les sources pour les conditions de reproduction. AUCUNE garantie n'est donnée, tant pour des raisons COMMERCIALES que pour RÉPONDRE À UN BESOIN PARTICULIER.

VOIR AUSSI
jpeghotp(1)

The jpegpixi homepage: http://www.zero-based.org/software/jpegpixi/